import { Etcd3 } from "etcd3";
import { AppConfig } from "./app-config.model";
function connectEtcd(config?: AppConfig) {
  return new Etcd3({
    ...(config?.etcd ?? { hosts: ["http://rpi:2379"] }),
  });
}

let instance: Etcd3;

export function getEtcdInstance(config?: AppConfig) {
  if (!instance) {
    instance = connectEtcd(config);
  }
  return instance;
}
